Skip to main content
POST
/
vesting
/
balances
Get vesting balances for multiple allocations
curl --request POST \
  --url https://api.anchorage-staging.com/v2/vesting/balances \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "allocationIds": [
    "<string>"
  ],
  "stakeholderId": "<string>"
}
'
{
  "errorCount": 1,
  "results": [
    {
      "allocationId": "alloc-123",
      "balance": {
        "assetType": "BTC",
        "availableBalance": "1000.50000000",
        "externalTokenId": "magna_token_123",
        "lockedBalance": "100.10000000",
        "networkId": "ETHHOODI",
        "unvestedBalance": "500.25000000"
      },
      "error": "<string>",
      "walletInfo": {
        "address": "0x1234567890abcdef...",
        "walletId": "3d293c0d64c703023692216e9b4f5280"
      }
    }
  ],
  "successCount": 3
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Body

application/json

The request body containing allocation IDs and optional stakeholder ID

allocationIds
string[]
required

List of allocation IDs to get vesting balances for

Required array length: 1 - 100 elements
Minimum string length: 1
stakeholderId
string

The external stakeholder ID (optional, used to retrieve wallet info when no transactions exist yet)

Response

Batch vesting balances for the requested allocations

errorCount
integer
required

Number of allocations that failed

Example:

1

results
VestingBalancesResult · object[]
required

Per-allocation vesting balance results

successCount
integer
required

Number of allocations successfully processed

Example:

3